Bug 164666 - CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: binutils (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
impact=low,public=20050525,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 16:11 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-763
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 11:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-07-29 16:11:41 EDT
+++ This bug was initially created as a clone of Bug #159894 +++

Integer overflow in the BFD library for binutils allows attackers to
execute arbitrary code via a crafted object file that specifies a large number
of section headers, leading to a heap-based buffer overflow.
Comment 1 Josh Bressers 2005-07-29 16:18:31 EDT
This is the place holder for RHEL2.1, the parent bug is for RHEL4 U2.
Comment 2 Josh Bressers 2005-08-01 13:37:06 EDT
Jakub,

I recall you telling me that the RHEL2.1 code is very different and the backport
will be very difficult.  Any status on this issue for RHEL2.1?
Comment 4 Jakub Jelinek 2005-08-31 16:21:54 EDT
Ok, the rest is now backported, and binutils-2.11.90.0.8-12.5
in dist-2.1AS-errata-candidate.  WIll need extra QA care though, as
I had to basically rewrite most of the patches from scratch (with around 80%
of rejects I can't speak about applying patches).
Comment 6 Red Hat Bugzilla 2005-10-11 11:22:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-763.html

Note You need to log in before you can comment on or make changes to this bug.